---
# Load distro specific variables
- include_vars: "{{ ansible_distribution }}.yml"
  tags: always
  ignore_errors: True
- include_vars: "{{ ansible_fqdn }}.yml"
  ignore_errors: True

- block:
  - include_tasks: system_setup/hosts.yml
  - include_tasks: utilities/ssmtp.yml
  - include_tasks: utilities/netdata.yml
    when: netdata is defined and netdata == true
  - include_tasks: utilities/snmpd.yml
  - include_tasks: utilities/wireguard.yml
    when:
      - wireguard is defined
      - wireguard == true
      - ansible_default_ipv4.address | ipaddr('public')
    ignore_errors: True
  - include_tasks: system_setup/cron.yml
  - include_role:
      name: base
      tasks_from: users.yml

# vim: ts=2 sw=2